Debian Bug report logs - #507883
asterisk: Very frequent segfaults on startup

version graph

Package: asterisk; Maintainer for asterisk is Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>; Source for asterisk is src:asterisk.

Reported by: Lars Bensmann <lars@almosthappy.de>

Date: Fri, 5 Dec 2008 13:51:04 UTC

Severity: grave

Tags: confirmed

Found in version asterisk/1:1.4.21.2~dfsg-2

Fixed in version asterisk/1:1.4.21.2~dfsg-3

Done: Faidon Liambotis <paravoid@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://bugs.digium.com/view.php?id=14019

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>:
Bug#507883; Package asterisk. (Fri, 05 Dec 2008 13:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lars Bensmann <lars@almosthappy.de>:
New Bug report received and forwarded. Copy sent to Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>. (Fri, 05 Dec 2008 13:51:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lars Bensmann <lars@almosthappy.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: asterisk: Very frequent segfaults on startup
Date: Fri, 05 Dec 2008 14:48:18 +0100
Package: asterisk
Version: 1:1.4.21.2~dfsg-2
Severity: normal

Asterisk crashes very frequently on startup. Using safe_asterisk will
start it eventually. Once it's running it's stable. The last start took 90
attempts. The one before that 71.

The backtraces all look the same (OK, I just checked four of the 159 core
dumps :-)
(gdb) bt
#0  destroy_pval (item=0x7f6000000000) at pbx_ael.c:4541
#1  0x00007f60860a0c1f in destroy_pval_item (item=0x7f609c061b60) at pbx_ael.c:4517
#2  0x00007f60860a0df1 in destroy_pval (item=0x7f6000000000) at pbx_ael.c:4543
#3  0x00007f60860a0c1f in destroy_pval_item (item=0x7f609c061c00) at pbx_ael.c:4517
#4  0x00007f60860a0df1 in destroy_pval (item=0x7f6000000000) at pbx_ael.c:4543
#5  0x00007f60860a0c1f in destroy_pval_item (item=0x7f609c065680) at pbx_ael.c:4517
#6  0x00007f60860a0df1 in destroy_pval (item=0x7f6000000000) at pbx_ael.c:4543
#7  0x00007f60860a69d9 in ?? () from /usr/lib/asterisk/modules/pbx_ael.so
#8  0x000000000045cc72 in load_resource (resource_name=0x7f609c007620 "pbx_ael.so", global_symbols_only=<value optimized out>) at loader.c:688
#9  0x000000000045d1e9 in load_modules (preload_only=<value optimized out>) at loader.c:882
#10 0x000000000042875d in main (argc=<value optimized out>, argv=<value optimized out>) at asterisk.c:3064

Before using the Debian package I was using a self-compiled build (1.4.18,
I think) and had no such problems.

Lars

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (900, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26-1-vserver-amd64 (SMP w/2 CPU cores)
Locale: LANG=de_DE@euro, LC_CTYPE=de_DE@euro (charmap=ISO-8859-15)
Shell: /bin/sh linked to /bin/bash

Versions of packages asterisk depends on:
ii  adduser            3.110                 add and remove users and groups
ii  asterisk-config    1:1.4.21.2~dfsg-2     Configuration files for Asterisk
ii  asterisk-sounds-ma 1:1.4.21.2~dfsg-2     Core Sound files for Asterisk (Eng
ii  libasound2         1.0.16-2              ALSA library
ii  libc-client2007b   7:2007b~dfsg-4+lenny1 c-client library for mail protocol
ii  libc6              2.7-16                GNU C Library: Shared libraries
ii  libcap2            2.11-2                support for getting/setting POSIX.
ii  libcurl3           7.18.2-5              Multi-protocol file transfer libra
ii  libgcc1            1:4.3.2-1             GCC support library
ii  libgsm1            1.0.12-1              Shared libraries for GSM speech co
ii  libiksemel3        1.2-4                 C library for the Jabber IM platfo
ii  libncurses5        5.6+20080830-1        shared libraries for terminal hand
ii  libnewt0.52        0.52.2-11.3           Not Erik's Windowing Toolkit - tex
ii  libogg0            1.1.3-4               Ogg Bitstream Library
ii  libpopt0           1.14-4                lib for parsing cmdline parameters
ii  libpq5             8.3.5-1               PostgreSQL C client library
ii  libpri1.0          1.4.3-2               Primary Rate ISDN specification li
ii  libradiusclient-ng 0.5.5-1               Enhanced RADIUS client library
ii  libsnmp15          5.4.1~dfsg-11         SNMP (Simple Network Management Pr
ii  libspeex1          1.2~rc1-1             The Speex codec runtime library
ii  libspeexdsp1       1.2~rc1-1             The Speex extended runtime library
ii  libsqlite0         2.8.17-4              SQLite shared library
ii  libssl0.9.8        0.9.8g-14             SSL shared libraries
ii  libstdc++6         4.3.2-1               The GNU Standard C++ Library v3
ii  libtonezone1       1:1.4.11~dfsg-2       tonezone library (runtime)
ii  libvorbis0a        1.2.0.dfsg-3.1        The Vorbis General Audio Compressi
ii  libvorbisenc2      1.2.0.dfsg-3.1        The Vorbis General Audio Compressi
ii  libvpb0            4.2.36-1              Voicetronix telephony hardware use
ii  unixodbc           2.2.11-16             ODBC tools libraries
ii  zlib1g             1:1.2.3.3.dfsg-12     compression library - runtime

asterisk recommends no packages.

Versions of packages asterisk suggests:
pn  asterisk-dev                  <none>     (no description available)
pn  asterisk-doc                  <none>     (no description available)
pn  asterisk-h323                 <none>     (no description available)
pn  ekiga                         <none>     (no description available)
pn  kphone                        <none>     (no description available)
pn  ohphone                       <none>     (no description available)
pn  twinkle                       <none>     (no description available)

-- no debconf information




Severity set to `grave' from `normal' Request was from martin f krafft <madduck@debian.org> to control@bugs.debian.org. (Fri, 05 Dec 2008 15:06:06 GMT) Full text and rfc822 format available.

Message sent on to Lars Bensmann <lars@almosthappy.de>:
Bug#507883. (Fri, 05 Dec 2008 15:06:07 GMT) Full text and rfc822 format available.

Message #10 received at 507883-submitter@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: 507883-submitter@bugs.debian.org
Subject: release critical
Date: Fri, 5 Dec 2008 16:05:41 +0100
[Message part 1 (text/plain, inline)]
severity 507883 grave
thanks

This looks very release-critical to me. Lars, can you rule out
hardware problems with the machine?

-- 
 .''`.   martin f. krafft <madduck@debian.org>
: :'  :  proud Debian developer, author, administrator, and user
`. `'`   http://people.debian.org/~madduck - http://debiansystem.info
  `-  Debian - when you have better things to do than fixing systems
[digital_signature_gpg.asc (application/pgp-signature, inline)]

Information stored :
Bug#507883; Package asterisk. (Fri, 05 Dec 2008 16:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lars Bensmann <lars@almosthappy.de>:
Extra info received and filed, but not forwarded. (Fri, 05 Dec 2008 16:18:02 GMT) Full text and rfc822 format available.

Message #15 received at 507883-quiet@bugs.debian.org (full text, mbox):

From: Lars Bensmann <lars@almosthappy.de>
To: martin f krafft <madduck@debian.org>, 507883-quiet@bugs.debian.org
Subject: Re: Bug#507883: release critical
Date: Fri, 5 Dec 2008 17:14:18 +0100
On Fri, Dec 05, 2008 at 04:05:41PM +0100, martin f krafft wrote:
> This looks very release-critical to me.

Well, when it's finally started it runs fine. So the package is useable.
But I agree it's not very nice and I just discovered it by accident that
it actually starts given enough time.

>  Lars, can you rule out hardware problems with the machine?

I guess. The machine runs fine 24x7 for months.

I also discovered that asterisk starts without any trouble when I comment
out all "Dial" commands in the default context (in extensions.ael). Dial
commands in other contexts were still useable. 

If you cannot reproduce the problem I can mail you my extensions.ael. But
I don't want to put it in a public bug tracking system.

-- 
We're not lost. We're locationally challenged.
  -- John M. Ford




Information forwarded to debian-bugs-dist@lists.debian.org, Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>:
Bug#507883; Package asterisk. (Fri, 05 Dec 2008 23:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tzafrir Cohen <tzafrir.cohen@xorcom.com>:
Extra info received and forwarded to list. Copy sent to Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>. (Fri, 05 Dec 2008 23:15:05 GMT) Full text and rfc822 format available.

Message #20 received at 507883@bugs.debian.org (full text, mbox):

From: Tzafrir Cohen <tzafrir.cohen@xorcom.com>
To: Lars Bensmann <lars@almosthappy.de>, 507883@bugs.debian.org
Subject: Re: Bug#507883: asterisk: Very frequent segfaults on startup
Date: Sat, 6 Dec 2008 01:13:32 +0200
On Fri, Dec 05, 2008 at 02:48:18PM +0100, Lars Bensmann wrote:

> Asterisk crashes very frequently on startup. Using safe_asterisk will
> start it eventually. Once it's running it's stable. The last start took 90
> attempts. The one before that 71.

Thanks for your report. Any chance you can also include a full backtrace
('bt full')?

-- 
               Tzafrir Cohen
icq#16849755              jabber:tzafrir.cohen@xorcom.com
+972-50-7952406           mailto:tzafrir.cohen@xorcom.com
http://www.xorcom.com  iax:guest@local.xorcom.com/tzafrir




Information forwarded to debian-bugs-dist@lists.debian.org, Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>:
Bug#507883; Package asterisk. (Sat, 06 Dec 2008 00:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lars Bensmann <lars@almosthappy.de>:
Extra info received and forwarded to list. Copy sent to Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>. (Sat, 06 Dec 2008 00:18:02 GMT) Full text and rfc822 format available.

Message #25 received at 507883@bugs.debian.org (full text, mbox):

From: Lars Bensmann <lars@almosthappy.de>
To: Tzafrir Cohen <tzafrir.cohen@xorcom.com>
Cc: 507883@bugs.debian.org
Subject: Re: Bug#507883: asterisk: Very frequent segfaults on startup
Date: Sat, 6 Dec 2008 01:15:14 +0100
On Sat, Dec 06, 2008 at 01:13:32AM +0200, Tzafrir Cohen wrote:
> Thanks for your report. Any chance you can also include a full backtrace
> ('bt full')?

Sure.

#0  destroy_pval (item=0x7f5400000000) at pbx_ael.c:4541
        i = <value optimized out>
        nxt = <value optimized out>
#1  0x00007f54b45f1c1f in destroy_pval_item (item=0x7f54c804cd80) at pbx_ael.c:4517
        __PRETTY_FUNCTION__ = "destroy_pval_item"
#2  0x00007f54b45f1df1 in destroy_pval (item=0x7f5400000000) at pbx_ael.c:4543
        i = (pval *) 0x7f5400000000
        nxt = (pval *) 0x0
#3  0x00007f54b45f1c1f in destroy_pval_item (item=0x7f54c804ce20) at pbx_ael.c:4517
        __PRETTY_FUNCTION__ = "destroy_pval_item"
#4  0x00007f54b45f1df1 in destroy_pval (item=0x7f5400000000) at pbx_ael.c:4543
        i = (pval *) 0x7f5400000000
        nxt = (pval *) 0x7f54c804d130
#5  0x00007f54b45f1c1f in destroy_pval_item (item=0x7f54c8050670) at pbx_ael.c:4517
        __PRETTY_FUNCTION__ = "destroy_pval_item"
#6  0x00007f54b45f1df1 in destroy_pval (item=0x7f5400000000) at pbx_ael.c:4543
        i = (pval *) 0x7f5400000000
        nxt = (pval *) 0x7f54c8052510
#7  0x00007f54b45f79d9 in ?? () from /usr/lib/asterisk/modules/pbx_ael.so
No locals.
#8  0x000000000045cc72 in load_resource (resource_name=0x7f54c8007620 "pbx_ael.so", global_symbols_only=<value optimized out>) at loader.c:688
        mod = (struct ast_module *) 0x7f54c80423f0
        res = <value optimized out>
        tmp = "\033[33;40mExtension Directory\033[0;37;40m\000ions\033[0;37;40m\00040m\000base\033[0;37;40m\00037;40m\000\000\220{\000ÈT\177\000\000\223\000\000\000\000\000\000\000@D\000ÈT\177\000\000\000\000\000\000\000\000\000\000@3GØÿ\177\000\000\2002\000ÈT\177\000\000\000\000\000\000\000\000\000\000 \000\000ÈT\177\000\00005\000ÈT\177\000\000\200{\000ÈT\177\000\000\000{\000ÈT\177\000\000\000\000\000\000\000\000\000\000\2002\000ÈT\177\000\000 \000\000ÈT\177\000\000\2002\000ÈT\177\000\000"...
        __PRETTY_FUNCTION__ = "load_resource"
#9  0x000000000045d1e9 in load_modules (preload_only=<value optimized out>) at loader.c:882
        __list_next = (struct load_order_entry *) 0x7f54c8007640
        __list_prev = (struct load_order_entry *) 0x0
        __new_prev = (struct load_order_entry *) 0x7f54c8007600
        cfg = (struct ast_config *) 0x7f54c8003280
        mod = <value optimized out>
        order = (struct load_order_entry *) 0x7f54c8007600
        v = (struct ast_variable *) 0x0
        load_count = <value optimized out>
        load_order = {first = 0x7f54c8007600, last = 0x7f54c8007b80}
        res = <value optimized out>
        dirent = <value optimized out>
        dir = <value optimized out>
        __PRETTY_FUNCTION__ = "load_modules"
#10 0x000000000042875d in main (argc=<value optimized out>, argv=<value optimized out>) at asterisk.c:3064
        c = <value optimized out>
        filename = "/root/.asterisk_history", '\0' <repeats 56 times>
        hostname = "chewie", '\0' <repeats 57 times>
        tmp = "§ïM\000\000\000\000\000`\000\000\000\000\000\000\000)\000\000\000\000\000\000\000Êq&ÐT\177\000\000\001\000\000\000ÿÿÿÿ\000\000\000\000\000\000\000\000À\v%\001\000\000\000\000)\000\000\000\004\000\000\000ÀwÃÏT\177\000\000à¹UÏT\177\000"
        xarg = 0x0
        x = <value optimized out>
        f = <value optimized out>
        sigs = {__val = {134238211, 0 <repeats 15 times>}}
        num = 0
        isroot = 1
        buf = <value optimized out>
        runuser = 0x7fffd8473340 "asterisk"
        rungroup = 0x0
        __PRETTY_FUNCTION__ = "main"
        __FUNCTION__ = "main"


-- 
Work fascinates me. I could sit and watch it for hours.




Noted your statement that Bug has been forwarded to http://bugs.digium.com/view.php?id=14019&nbn=4. Request was from martin f. krafft <madduck@debian.org> to control@bugs.debian.org. (Sun, 07 Dec 2008 10:54:09 GMT) Full text and rfc822 format available.

Information stored :
Bug#507883; Package asterisk. (Sun, 07 Dec 2008 15:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lars Bensmann <lars@almosthappy.de>:
Extra info received and filed, but not forwarded. (Sun, 07 Dec 2008 15:09:05 GMT) Full text and rfc822 format available.

Message #32 received at 507883-quiet@bugs.debian.org (full text, mbox):

From: Lars Bensmann <lars@almosthappy.de>
To: martin f krafft <madduck@debian.org>, 507883-quiet@bugs.debian.org
Subject: Re: Bug#507883: release critical
Date: Sun, 7 Dec 2008 16:05:54 +0100
I stripped down my extensions.ael:

context blah {
        //lars => &std-exten-ael(SIP/lars,123456);
        lars => Dial(SIP/lars);
        123456 => goto lars|1;
};

The problem seems to be related to the combination of the dial command or
macro and the goto. Either line by itself is fine, but a dial or macro
before a goto triggers the problem. Putting the goto on the first line
solved the problem for me.

I also found a bug upstream that is probably the same:
http://bugs.digium.com/view.php?id=14019

The attached extensions.ael in the bugreport also contains dial statements
before gotos.

-- 
Compatible:
        Gracefully accepts erroneous data from any source.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>:
Bug#507883; Package asterisk. (Sun, 07 Dec 2008 21:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to martin f krafft <madduck@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>. (Sun, 07 Dec 2008 21:21:02 GMT) Full text and rfc822 format available.

Message #37 received at 507883@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: Lars Bensmann <lars@almosthappy.de>
Cc: 507883@bugs.debian.org
Subject: Re: Bug#507883: release critical
Date: Sun, 7 Dec 2008 22:18:13 +0100
[Message part 1 (text/plain, inline)]
also sprach Lars Bensmann <lars@almosthappy.de> [2008.12.07.1605 +0100]:
> The attached extensions.ael in the bugreport also contains dial
> statements before gotos.

Can you reproduce the bug with an equivalent extensions.conf (the
other format for the dialplans)?

-- 
 .''`.   martin f. krafft <madduck@d.o>      Related projects:
: :'  :  proud Debian developer               http://debiansystem.info
`. `'`   http://people.debian.org/~madduck    http://vcs-pkg.org
  `-  Debian - when you have better things to do than fixing systems
 
"everyone has a little secret he keeps,
 i like the fires when the city sleeps."
                                                  -- mc 900 ft jesus
[digital_signature_gpg.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>:
Bug#507883; Package asterisk. (Mon, 08 Dec 2008 11:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lars Bensmann <lars@almosthappy.de>:
Extra info received and forwarded to list. Copy sent to Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>. (Mon, 08 Dec 2008 11:48:05 GMT) Full text and rfc822 format available.

Message #42 received at 507883@bugs.debian.org (full text, mbox):

From: Lars Bensmann <lars@almosthappy.de>
To: martin f krafft <madduck@debian.org>
Cc: 507883@bugs.debian.org
Subject: Re: Bug#507883: release critical
Date: Mon, 8 Dec 2008 12:46:48 +0100
On Sun, Dec 07, 2008 at 10:18:13PM +0100, martin f krafft wrote:
> also sprach Lars Bensmann <lars@almosthappy.de> [2008.12.07.1605 +0100]:
> Can you reproduce the bug with an equivalent extensions.conf (the
> other format for the dialplans)?

No. I could not.

The following also causes the problem:

context blah {
        lars => NoOp(Test);
        123456 => goto foo|1;
};

It doesn't matter if the jump target is actually there. If I replace
'foo|1' by 'blah|foo|1' or just '1' I don't have any problems. If I delete
the NoOp line the problem also disappears.

-- 
Do not condemn the judgment of another because it
differs from your own. You may both be wrong.
  -- Dandemis




Information forwarded to debian-bugs-dist@lists.debian.org, Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>:
Bug#507883; Package asterisk. (Tue, 09 Dec 2008 21:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tzafrir Cohen <tzafrir.cohen@xorcom.com>:
Extra info received and forwarded to list. Copy sent to Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>. (Tue, 09 Dec 2008 21:33:03 GMT) Full text and rfc822 format available.

Message #47 received at 507883@bugs.debian.org (full text, mbox):

From: Tzafrir Cohen <tzafrir.cohen@xorcom.com>
To: Lars Bensmann <lars@almosthappy.de>, 507883@bugs.debian.org
Subject: Re: Bug#507883: release critical
Date: Tue, 9 Dec 2008 23:29:30 +0200
On Mon, Dec 08, 2008 at 12:46:48PM +0100, Lars Bensmann wrote:
> On Sun, Dec 07, 2008 at 10:18:13PM +0100, martin f krafft wrote:
> > also sprach Lars Bensmann <lars@almosthappy.de> [2008.12.07.1605 +0100]:
> > Can you reproduce the bug with an equivalent extensions.conf (the
> > other format for the dialplans)?
> 
> No. I could not.
> 
> The following also causes the problem:
> 
> context blah {
>         lars => NoOp(Test);
>         123456 => goto foo|1;
> };
> 
> It doesn't matter if the jump target is actually there. If I replace
> 'foo|1' by 'blah|foo|1' or just '1' I don't have any problems. If I delete
> the NoOp line the problem also disappears.

Upstream issue (http://bugs.digium.com/view.php?id=14019 ) has been
resolved with
http://svn.digium.com/view/asterisk?view=rev&revision=162013 .
Sadly it does not apply on our version due to the previous commit
http://svn.digium.com/view/asterisk?view=rev&revision=141094 .
So I guess us poor schnooks will have to fix it...

-- 
               Tzafrir Cohen
icq#16849755              jabber:tzafrir.cohen@xorcom.com
+972-50-7952406           mailto:tzafrir.cohen@xorcom.com
http://www.xorcom.com  iax:guest@local.xorcom.com/tzafrir




Forwarded-to-address changed from http://bugs.digium.com/view.php?id=14019&nbn=4 to http://bugs.digium.com/view.php?id=14019. Request was from Mark Purcell <msp@debian.org> to control@bugs.debian.org. (Wed, 10 Dec 2008 11:06:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>:
Bug#507883; Package asterisk. (Wed, 10 Dec 2008 12:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lars Bensmann <lars@almosthappy.de>:
Extra info received and forwarded to list. Copy sent to Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>. (Wed, 10 Dec 2008 12:18:03 GMT) Full text and rfc822 format available.

Message #54 received at 507883@bugs.debian.org (full text, mbox):

From: Lars Bensmann <lars@almosthappy.de>
To: Tzafrir Cohen <tzafrir.cohen@xorcom.com>
Cc: 507883@bugs.debian.org
Subject: Re: Bug#507883: release critical
Date: Wed, 10 Dec 2008 13:14:59 +0100
[Message part 1 (text/plain, inline)]
On Tue, Dec 09, 2008 at 11:29:30PM +0200, Tzafrir Cohen wrote:
> > It doesn't matter if the jump target is actually there. If I replace
> > 'foo|1' by 'blah|foo|1' or just '1' I don't have any problems. If I delete
> > the NoOp line the problem also disappears.

I tried to port the patch, but I failed. Asterisk compiles but core dumps on
startup (although this time it's not related to the extensions.ael I think.)

I attached the patch if someone wants to use it as a starting point.

I used
        (cd ael; flex ael.flex; sed -i -e "/begin standard C headers/i#include \"asterisk.h\"" ael_lex.c)
        (cd ael; sed 's@#if __STDC_VERSION__ >= 199901L@#if !defined __STDC_VERSION__ || __STDC_VERSION__ >= 199901L@' ael_lex.c > zz; mv zz ael_lex.c)
(as found in ael/Makefile) to regenerate ael_lex.c

-- 
Hardware:
        The parts of a computer system that can be kicked.
[asterisk.patch.not-working (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>:
Bug#507883; Package asterisk. (Sat, 13 Dec 2008 20:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Quentin Smith <quentin@MIT.EDU>:
Extra info received and forwarded to list. Copy sent to Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>. (Sat, 13 Dec 2008 20:57:03 GMT) Full text and rfc822 format available.

Message #59 received at 507883@bugs.debian.org (full text, mbox):

From: Quentin Smith <quentin@MIT.EDU>
To: 507883@bugs.debian.org
Subject: Re: Bug#507883: release critical
Date: Sat, 13 Dec 2008 15:48:25 -0500 (EST)
I'm unable to reproduce this bug with an extensions.ael containing:

context blah {
        lars => NoOp(Test);
        123456 => goto foo|1;
};

starting asterisk with:

asterisk -f -g

Asterisk reliably starts with no errors. This is on a lenny 2.6.26-1-amd64 
machine (a VM running inside Xen with a single processor)

--Quentin




Tags added: moreinfo Request was from Evan Broder <broder@MIT.EDU> to control@bugs.debian.org. (Sun, 14 Dec 2008 23:48:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>:
Bug#507883; Package asterisk. (Thu, 25 Dec 2008 23:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Faidon Liambotis <paravoid@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>. (Thu, 25 Dec 2008 23:30:02 GMT) Full text and rfc822 format available.

Message #66 received at 507883@bugs.debian.org (full text, mbox):

From: Faidon Liambotis <paravoid@debian.org>
To: Lars Bensmann <lars@almosthappy.de>
Cc: Quentin Smith <quentin@MIT.EDU>, 507883@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#507883: release critical
Date: Fri, 26 Dec 2008 01:27:07 +0200
tags 507883 = confirmed pending
thanks

Quentin Smith wrote:
> I'm unable to reproduce this bug with an extensions.ael containing:
> 
> context blah {
>          lars => NoOp(Test);
>          123456 => goto foo|1;
> };
> 
> Asterisk reliably starts with no errors. This is on a lenny 2.6.26-1-amd64 
> machine (a VM running inside Xen with a single processor)
I, OTOH, was (thankfully!) able to reproduce this.

It's not happening all the time, it occurs once every three or four
executions.

I've prepared a fix, tested it and will upload RSN.

Thanks,
Faidon




Tags set to: confirmed, pending Request was from Faidon Liambotis <paravoid@debian.org> to control@bugs.debian.org. (Thu, 25 Dec 2008 23:30:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>:
Bug#507883; Package asterisk. (Fri, 02 Jan 2009 23:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon McVittie <smcv@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>. (Fri, 02 Jan 2009 23:21:02 GMT) Full text and rfc822 format available.

Message #73 received at 507883@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: 507883@bugs.debian.org
Subject: Re: Bug#507883: release critical
Date: Fri, 2 Jan 2009 23:18:39 +0000
[Message part 1 (text/plain, inline)]
Hi,
When do you expect to be able to upload your patch for Asterisk segfaults
on startup?

(If a full upload is tricky from where you are, feel free to send your
patch to this bug and we could take it from there?)

Greetings from the Cambridge BSP,
    Simon
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>:
Bug#507883; Package asterisk. (Sat, 03 Jan 2009 01:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Faidon Liambotis <faidon@tty.gr>:
Extra info received and forwarded to list. Copy sent to Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>. (Sat, 03 Jan 2009 01:51:02 GMT) Full text and rfc822 format available.

Message #78 received at 507883@bugs.debian.org (full text, mbox):

From: Faidon Liambotis <faidon@tty.gr>
To: Simon McVittie <smcv@debian.org>
Cc: 507883@bugs.debian.org
Subject: Re: Bug#507883: release critical
Date: Sat, 03 Jan 2009 03:51:21 +0200
Simon, hi,

Simon McVittie wrote:
> When do you expect to be able to upload your patch for Asterisk segfaults
> on startup?
> 
> (If a full upload is tricky from where you are, feel free to send your
> patch to this bug and we could take it from there?)
The bugfix is already commited to the team's SVN since the day I marked
the bug as pending.

It's just that an issue came up[1] with one of asterisk's dependencies
(libvpb) and I delayed the upload until it got resolved.
It did 2 days ago, so I'll be uploading soon.

Thanks,
Faidon

1: <4954209B.7000505@debian.org>




Reply sent to Faidon Liambotis <paravoid@debian.org>:
You have taken responsibility. (Sun, 04 Jan 2009 21:39:18 GMT) Full text and rfc822 format available.

Notification sent to Lars Bensmann <lars@almosthappy.de>:
Bug acknowledged by developer. (Sun, 04 Jan 2009 21:39:19 GMT) Full text and rfc822 format available.

Message #83 received at 507883-close@bugs.debian.org (full text, mbox):

From: Faidon Liambotis <paravoid@debian.org>
To: 507883-close@bugs.debian.org
Subject: Bug#507883: fixed in asterisk 1:1.4.21.2~dfsg-3
Date: Sun, 04 Jan 2009 21:17:09 +0000
Source: asterisk
Source-Version: 1:1.4.21.2~dfsg-3

We believe that the bug you reported is fixed in the latest version of
asterisk, which is due to be installed in the Debian FTP archive:

asterisk-config_1.4.21.2~dfsg-3_all.deb
  to pool/main/a/asterisk/asterisk-config_1.4.21.2~dfsg-3_all.deb
asterisk-dbg_1.4.21.2~dfsg-3_i386.deb
  to pool/main/a/asterisk/asterisk-dbg_1.4.21.2~dfsg-3_i386.deb
asterisk-dev_1.4.21.2~dfsg-3_all.deb
  to pool/main/a/asterisk/asterisk-dev_1.4.21.2~dfsg-3_all.deb
asterisk-doc_1.4.21.2~dfsg-3_all.deb
  to pool/main/a/asterisk/asterisk-doc_1.4.21.2~dfsg-3_all.deb
asterisk-h323_1.4.21.2~dfsg-3_i386.deb
  to pool/main/a/asterisk/asterisk-h323_1.4.21.2~dfsg-3_i386.deb
asterisk-sounds-main_1.4.21.2~dfsg-3_all.deb
  to pool/main/a/asterisk/asterisk-sounds-main_1.4.21.2~dfsg-3_all.deb
asterisk_1.4.21.2~dfsg-3.diff.gz
  to pool/main/a/asterisk/asterisk_1.4.21.2~dfsg-3.diff.gz
asterisk_1.4.21.2~dfsg-3.dsc
  to pool/main/a/asterisk/asterisk_1.4.21.2~dfsg-3.dsc
asterisk_1.4.21.2~dfsg-3_i386.deb
  to pool/main/a/asterisk/asterisk_1.4.21.2~dfsg-3_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 507883@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Faidon Liambotis <paravoid@debian.org> (supplier of updated asterisk package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 04 Jan 2009 21:07:37 +0200
Source: asterisk
Binary: asterisk asterisk-h323 asterisk-doc asterisk-dev asterisk-dbg asterisk-sounds-main asterisk-config
Architecture: source all i386
Version: 1:1.4.21.2~dfsg-3
Distribution: unstable
Urgency: medium
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Changed-By: Faidon Liambotis <paravoid@debian.org>
Description: 
 asterisk   - Open Source Private Branch Exchange (PBX)
 asterisk-config - Configuration files for Asterisk
 asterisk-dbg - Debugging symbols for Asterisk
 asterisk-dev - Development files for Asterisk
 asterisk-doc - Source code documentation for Asterisk
 asterisk-h323 - H.323 protocol support for Asterisk
 asterisk-sounds-main - Core Sound files for Asterisk (English)
Closes: 505310 507883
Changes: 
 asterisk (1:1.4.21.2~dfsg-3) unstable; urgency=medium
 .
   [ Faidon Liambotis ]
   * Fix a segfault that occured on AEL parsing on amd64 systems.
     (Closes: #507883)
   * Remove bristuff/app-meetme-avoid-overflows patch as it apparently causes
     more problems than it solves (if any).
     (Closes: #505310)
   * Urgency medium because of the RC bugfix.
 .
   [ Patrick Matthäi ]
   * Bumped Standards-Version to 3.8.0.
 .
   [ Mark Purcell ]
   * Update debian/watch
Checksums-Sha1: 
 acffdf7ed6081339a29e609dcd4df99cf23b19c2 1948 asterisk_1.4.21.2~dfsg-3.dsc
 9192b37f8ad1ffa90b92b02cfc6cb3050012d35b 139757 asterisk_1.4.21.2~dfsg-3.diff.gz
 f43f2b70c91eb76905aee8c6bfc7759e12d6ac78 32495596 asterisk-doc_1.4.21.2~dfsg-3_all.deb
 d9138eaec7d63cceef0ad11a494115723a280e8e 427404 asterisk-dev_1.4.21.2~dfsg-3_all.deb
 530107b9fcf9431b88195c9ba77f22af6c54442f 1897484 asterisk-sounds-main_1.4.21.2~dfsg-3_all.deb
 90eb72c4cae2007389535532f4639e302f739f02 478610 asterisk-config_1.4.21.2~dfsg-3_all.deb
 97681645a4e838e122a4f2386379181b28755a7d 2420556 asterisk_1.4.21.2~dfsg-3_i386.deb
 084d88205b4c1813787cbaec503077f1be7384cb 388192 asterisk-h323_1.4.21.2~dfsg-3_i386.deb
 9a6682104089aceebb32192737d3008e1f1215cb 12988034 asterisk-dbg_1.4.21.2~dfsg-3_i386.deb
Checksums-Sha256: 
 7394e27dbfc24b08306fecbf34bce13a118d298eb8fcb8b404c44d22d1c4162e 1948 asterisk_1.4.21.2~dfsg-3.dsc
 b4ab7f0a8a7e37473722f5cf3a5e6ccd8156065a4a9e2d63a053b622cbba5eba 139757 asterisk_1.4.21.2~dfsg-3.diff.gz
 8c5a31306bab7cc02badd0aa1f4f32c1bf7c9a481685563ba5ba02993b794277 32495596 asterisk-doc_1.4.21.2~dfsg-3_all.deb
 6a55590215200d65819198f7ae2c99c1454fb9f0415776eb7eae77de225ee65e 427404 asterisk-dev_1.4.21.2~dfsg-3_all.deb
 964e24e0915ecc44f1abe3a93440b68992f216a09cc60e0591f5845277e4e381 1897484 asterisk-sounds-main_1.4.21.2~dfsg-3_all.deb
 04ac5260dae954ee657d50773c90db1dfc39e88bf5b0b0d301563ff1e66e063b 478610 asterisk-config_1.4.21.2~dfsg-3_all.deb
 9c53d6e7f6e921d82d106a9e5a24b36ff3631c21b82f46ec860217b5176a7628 2420556 asterisk_1.4.21.2~dfsg-3_i386.deb
 740e4c8061b82a3884bfff6e6fd613cdec0e4c8cb960d0391038014be6d76c8d 388192 asterisk-h323_1.4.21.2~dfsg-3_i386.deb
 253044c7f0e017adce69763275294c595697e0ccc01527067604529e32c1c460 12988034 asterisk-dbg_1.4.21.2~dfsg-3_i386.deb
Files: 
 544bd59e7403e19c28481ae0a8d9fccd 1948 comm optional asterisk_1.4.21.2~dfsg-3.dsc
 81f2fa7081b3b9edf75449bf77255603 139757 comm optional asterisk_1.4.21.2~dfsg-3.diff.gz
 14282fadee6a367bcee394af06e15857 32495596 doc extra asterisk-doc_1.4.21.2~dfsg-3_all.deb
 7f9204b41f2c9d489b9979d9fc63578d 427404 devel extra asterisk-dev_1.4.21.2~dfsg-3_all.deb
 e3f26cfa1b43a547d06d42cd9dbdf381 1897484 comm optional asterisk-sounds-main_1.4.21.2~dfsg-3_all.deb
 02b9640635fbbda93059ddc74338ef56 478610 comm optional asterisk-config_1.4.21.2~dfsg-3_all.deb
 387f201e2663a23057f50f82c54dda50 2420556 comm optional asterisk_1.4.21.2~dfsg-3_i386.deb
 8c5cc0aee4cc5992e0b9511b8bb71a7b 388192 comm optional asterisk-h323_1.4.21.2~dfsg-3_i386.deb
 fcd7695a8a162e2cccae5fcf80fb84be 12988034 devel extra asterisk-dbg_1.4.21.2~dfsg-3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFJYRrxVty5d8XpUzMRAvoQAJ44oS+y5VmtJ98dniTQkA9QwyQqYgCfVTOg
Ljf8Q0vuGoUuSdOGYuMp/pY=
=Fa5Z
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 07 Feb 2009 07:30:22 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 06:59:55 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.